swoole安装

swoole安装

1, 查看linux(这里以CentOS7.6为例)版本:

[root@VM_6_21_centos ~]# cat /etc/redhat-release
  • 1

2,查看PHP版本

[root@VM_6_21_centos ~]# php -v
  • 1

3,查看PHP安装的扩展

[root@VM_6_21_centos ~]# php -m
  • 1

4,查看当前所在的位置:

[root@VM_6_21_centos ~]# pwd
  • 1

5, 安装依赖包文件 # find / -name phpize 查找:phpize

[root@VM_6_21_centos ~]# yum install php-devel      # 通过php的工具包添加扩展,运行命令:phpize
                         yum install glibc-headers  
                         yum install gcc-c++ 
                         yum install git            # git clone
                         yum -y install nghttp2

开始安装

1,cd 到家目录, 下载swoole

[root@VM_6_21_centos ~]# git clone https://github.com/swoole/swoole-src.git
[root@VM_6_21_centos ~]# ls
[root@VM_6_21_centos ~]# mkdir /usr/local/swoole/
  • 1
  • 2
  • 3

2,拷贝 /root 目录下的 swoole-src 到 /usr/local/swoole/

[root@VM_6_21_centos ~]# cp -r /root/swoole-src/.  /usr/local/swoole/
  • 1

3, 我的PHP安装的位置(php7.2.16) /usr/local/php/bin/php-config (具体情况具体对待)

[root@VM_6_21_centos ~]#   cd  /usr/local/swoole/

[root@VM_6_21_centos swoole]#  phpize

[root@VM_6_21_centos swoole]#  ./configure # 配置

[root@VM_6_21_centos swoole]#  make && make install   # 编译安装

4,swoole.so 配置所在位置

[root@VM_6_21_centos ~]# vim  /usr/local/php/etc/php.ini
配置:
extension =/usr/local/php/lib/php/extensions/no-debug-non-zts-20170718/swoole.so

修改了php配置需要平滑启动php-fpm

[root@VM_6_21_centos ~]# ps -aux | grep php-fpm 

找到phpfpm 的master process的进程id

[root@VM_6_21_centos ~]#   kill -SIGUSR2 process_id          #实现平滑重启php-fpm

可能会遇到的问题:

无法加载swoole.so

插件加载顺序的原因

应该把extension=swoole.so加到socket的加载后面

在php7.2中进入/etc/php.d下,在sockets.ini中

将extension=swoole.so加到extension=sockets.so下面

后重启php-fpm


回复列表



回复操作

正在加载验证码......

请先拖动验证码到相应位置

发布时间:2020-08-24 11:35:25

修改时间:2020-10-23 13:48:34

查看次数:249

评论次数:0